#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=5
export DEB_CFLAGS_MAINT_APPEND = -Wno-error -Wno-error=cast-align
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5 -DCMAKE_BUILD_TYPE=Release -DENABLE_REMOTE_DEVICES=OFF -DENABLE_HTTP_STREAM_PLAYBACK=OFF

override_dh_installexamples:
	dh_installexamples
